Katello - Bug #6709

[RFE] Updating the system limit below to already consumed should throw a validation error
07/21/2014 05:30 PM - Christine Fouant

Status: Closed
Priority: Normal
Assignee: Christine Fouant
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1098425 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/446
6
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1098425
Description of problem:
I've created a activation-key with system limit to unlimited. And I've registered two systems with same activation-key.

Later, when | tried to reduce the limit to '1' which is less than the already consumed hosts, it was correctly updated and notification
says: Activation Key updated.

But when | navigate away and come back on same page then found the system limit was still set to what it was originally i.e.
unlimited in this case.

So ideally, Ul should throw a validation error if | set the limit below to already consumed host.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140508.1

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.7-1.el6sat.noarch
foreman-compute-1.6.0.7-1.el6sat.noarch
foreman-gce-1.6.0.7-1.el6sat.noarch
foreman-libvirt-1.6.0.7-1.el6sat.noarch
foreman-ovirt-1.6.0.7-1.el6sat.noarch
foreman-postgresql-1.6.0.7-1.el6sat.noarch
foreman-proxy-1.6.0.4-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
foreman-vmware-1.6.0.7-1.el6sat.noarch
katello-1.5.0-22.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.37-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
e python-ldap-2.3.10-1.e16.x86_64

¢ ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-12.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:
always

Steps to Reproduce:

1. create a activation-key with unlimited system limit
2. register two content-host with it

3. update the system limit of created key to "1"

Actual results:
Key was updated and ssytem limit set to '1' but when you navigates away from that page and come back the limit was set to what it
was originally.

Expected results:
Ul should raise validation error.

Additional info:

Associated revisions

Revision 4a12b1a6 - 07/22/2014 02:30 PM - Christine Fouant

fixes #6709 - Throws validation error when updating content-host limit below already consumed in hammer, BZ 1098425

Revision a5ea2167 - 07/22/2014 02:58 PM - Eric Helms

Merge pull request #4466 from cfouant/limit-activationkey

fixes #6709 - Throws validation error when updating content-host limit below already consumed in hammer, BZ 1098425

History

#1 - 07/21/2014 05:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4466 added
- Pull request deleted ()

#2 - 07/22/2014 02:00 PM - Eric Helms
- Target version set to 49

- Triaged changed from No to Yes

#3 - 07/22/2014 03:01 PM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|4a12b1a66ca99cbai28e21099d7627e685e5d96f.

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
